Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax2
Interface XMLProcessorEx

All Superinterfaces:
  XMLProcessor

All Known Implementing Classes:
  XMLProcessorImpl

public interface XMLProcessorEx
extends XMLProcessor

extended public interface for an XMLProcessor, which loads an XML source into our own DOM-like structure

Method Summary
`SAXTwoOMBuilder` | `getConfiguredOMBuilder(java.lang.String systemID, int documentIndex, LoadContext context, NameTable nameTable)`
`Node` | `load(org.xml.sax.InputSource source, int documentIndex, LoadContext context, NameTable nameTable)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)`

Methods inherited from interface com.jclark.xsl.tr.XMLProcessor
`createResult, load`

Method Detail

### load

    public Node load(org.xml.sax.InputSource source,
                     int documentIndex,
                     LoadContext context,
                     NameTable nameTable)
              throws java.io.IOException,
                     XSLException

  Parameters:
    `source` - the input to our parser
    `documentIndex` - so we can distinguish between nodes in different docs
    `context` - ??
    `nameTable` - we intern names to avoid wasting menmory
  Throws:
    `java.io.IOException`
    `XSLException`

### getConfiguredOMBuilder

    public SAXTwoOMBuilder getConfiguredOMBuilder(java.lang.String systemID,
                                                  int documentIndex,
                                                  LoadContext context,
                                                  NameTable nameTable)

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD